/* contact Banner */
.contact-banner {
  height: 400px;
  position: relative;
  background-image: url('../images/inner-banner/contact-banner.jpeg');
  background-repeat: no-repeat;
  background-position: bottom right;
  background-size: cover;
}

.contact-banner::before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.6);
  z-index: 1;
}

.banner-content {
  position: relative;
  z-index: 2;
  height: 100%;
}

.breadcrumbs {
  position: absolute;
  bottom: 20px;
  left: 20px;
  color: #fff;
  font-size: 0.9rem;
}

.breadcrumbs a {
  color: #0d6efd;
  text-decoration: none;
  margin-right: 5px;
}

.breadcrumbs span {
  color: #fff;
}

/* CONTACT INFO CARDS */
.contact-card {
  background: #111;
  border-radius: 15px;
  padding: 30px 20px;
  transition: all 0.3s;
}

.contact-card:hover {
  transform: translateY(-5px);
  box-shadow: 0 8px 25px rgba(0, 0, 0, 0.4);
}

.contact-card h5 {
  margin-bottom: 10px;
  font-weight: 600;
  color: #fff;
}

.contact-card p {
  color: #ccc;
}

/* FORM */
.contact-form {
  background: #1a1a1a;
  padding: 30px;
}

.contact-form input,
.contact-form textarea {
  background: #0f0f0f;
  border: 1px solid #333;
  color: #fff;
}

.contact-form input:focus,
.contact-form textarea:focus {
  border-color: #0d6efd;
  box-shadow: 0 0 10px rgba(13, 110, 253, 0.5);
  outline: none;
}

/* MAP */
.map-wrapper iframe {
  border: none;
  border-radius: 15px;
}

/* CTA STRIP */
.contact-strip {
  background: #111;
}

.contact-strip p {
  color: #fff;
  font-weight: 500;
}

.contact-strip .btn {
  padding: 10px 30px;
}

.contact-form input,
.contact-form textarea {
  background: #1a1a1a;
  border: 1px solid #333;
  border-radius: 10px;
  color: #fff;
  padding: 12px 15px;
  width: 100%;
  transition: all 0.3s;
}

.contact-form input::placeholder,
.contact-form textarea::placeholder {
  color: #ffffff75;
}

.contact-form input:focus,
.contact-form textarea:focus {
  border-color: #0d6efd;
  box-shadow: 0 0 10px rgba(13, 110, 253, 0.5);
  outline: none;
}

.btn-submit {
  background-color: #0d6efd;
  color: #fff;
  padding: 10px 25px;
  border-radius: 50px;
  border: none;
  font-weight: 600;
  transition: all 0.3s;
  cursor: pointer;
}

.btn-submit:hover {
  background-color: #0a58ca;
  box-shadow: 0 0 15px rgba(13, 110, 253, 0.6);
}

.contact-card p:last-child {
  margin-bottom: 0px !important;
}

/* RESPONSIVE */
@media(max-width:768px) {
  .contact-banner {
    height: 200px;
  }

  .contact-strip {
    flex-direction: column;
    gap: 15px;
  }

  .map-wrapper iframe {
    height: 300px;
  }

  .contact-form {
    padding: 15px !important;
  }

  .contact-card {
    padding: 15px !important;
  }

}